Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class DateTimeData

    java.lang.Object
      com.servingxml.util.record.DateTimeData

    public class DateTimeData

extends java.lang.Object

Constructor Summary
`DateTimeData(int year, int month, int day)`
`DateTimeData(int year, int month, int day, int hour, int minute, int second, int millisecond, int timezoneOffset)`
`DateTimeData(javax.xml.datatype.XMLGregorianCalendar calendar)`

Method Summary
`static DateTimeData` | `fromSqlDate(java.sql.Date date)`
`static DateTimeData` | `fromSqlTime(java.sql.Time time)`
`static DateTimeData` | `fromSqlTimestamp(java.sql.Timestamp timestamp)`
`java.sql.Date` | `getSqlDate()`
`java.sql.Time` | `getSqlTime()`
`java.sql.Timestamp` | `getSqlTimestamp()`
`java.lang.String` | `getString(javax.xml.datatype.DatatypeFactory datatypeFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTimeData

    public DateTimeData(javax.xml.datatype.XMLGregorianCalendar calendar)

### DateTimeData

    public DateTimeData(int year,
                        int month,
                        int day)

### DateTimeData

    public DateTimeData(int year,
                        int month,
                        int day,
                        int hour,
                        int minute,
                        int second,
                        int millisecond,
                        int timezoneOffset)

Method Detail

### getString

    public java.lang.String getString(javax.xml.datatype.DatatypeFactory datatypeFactory)

### fromSqlTimestamp

    public static DateTimeData fromSqlTimestamp(java.sql.Timestamp timestamp)

### fromSqlTime

    public static DateTimeData fromSqlTime(java.sql.Time time)

### fromSqlDate

    public static DateTimeData fromSqlDate(java.sql.Date date)

### getSqlTimestamp

    public java.sql.Timestamp getSqlTimestamp()

### getSqlDate

    public java.sql.Date getSqlDate()

### getSqlTime

    public java.sql.Time getSqlTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD